Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.pdf
Enum PDFAMode

    java.lang.Object
      java.lang.Enum<PDFAMode>
          org.apache.fop.pdf.PDFAMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PDFAMode>

    public enum PDFAMode

extends java.lang.Enum<PDFAMode>

Enum class for PDF/A modes.

Enum Constant Summary
`DISABLED` PDF/A disabled.
`PDFA_1A` PDF/A-1a enabled.
`PDFA_1B` PDF/A-1b enabled.
`PDFA_2A` PDF/A-2a enabled.
`PDFA_2B` PDF/A-2b enabled.
`PDFA_2U` PDF/A-2u enabled.
`PDFA_3A`
`PDFA_3B`
`PDFA_3U`

Method Summary
`char` | `getConformanceLevel()` Returns the conformance level for this enum.
`java.lang.String` | `getName()`
`int` | `getPart()` Returns the part of the specification this enum corresponds to.
`static PDFAMode` | `getValueOf(java.lang.String s)` Returns the mode enum object given a String.
`boolean` | `isEnabled()` Returns `true` if this enum corresponds to one of the available PDF/A modes.
`boolean` | `isLevelA()` Returns `true` if this enum corresponds to conformance level A.
`boolean` | `isPart1()` Returns `true` if this enum corresponds to PDF/A-1 (ISO 19005-1).
`boolean` | `isPart2()` Returns `true` if this enum corresponds to PDF/A-2 (ISO 19005-2).
`java.lang.String` | `toString()`
`static PDFAMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PDFAMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISABLED

    public static final PDFAMode DISABLED

  PDF/A disabled.

### PDFA_1A

    public static final PDFAMode PDFA_1A

  PDF/A-1a enabled.

### PDFA_1B

    public static final PDFAMode PDFA_1B

  PDF/A-1b enabled.

### PDFA_2A

    public static final PDFAMode PDFA_2A

  PDF/A-2a enabled.

### PDFA_2B

    public static final PDFAMode PDFA_2B

  PDF/A-2b enabled.

### PDFA_2U

    public static final PDFAMode PDFA_2U

  PDF/A-2u enabled.

### PDFA_3A

    public static final PDFAMode PDFA_3A

### PDFA_3B

    public static final PDFAMode PDFA_3B

### PDFA_3U

    public static final PDFAMode PDFA_3U

Method Detail

### values

    public static PDFAMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PDFAMode c : PDFAMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PDFAMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns:
    the name of the enum

### isEnabled

    public boolean isEnabled()

  Returns `true` if this enum corresponds to one of the available PDF/A modes.

  Returns:
    `true` if this is not DISABLED

### getPart

    public int getPart()

  Returns the part of the specification this enum corresponds to.

  Returns:
    1 for PDF/A-1 (ISO 19005-1), 2 for PDF/A-2 (ISO 19005-2)

### isPart1

    public boolean isPart1()

  Returns `true` if this enum corresponds to PDF/A-1 (ISO 19005-1).

### isPart2

    public boolean isPart2()

  Returns `true` if this enum corresponds to PDF/A-2 (ISO 19005-2).

### getConformanceLevel

    public char getConformanceLevel()

  Returns the conformance level for this enum.

  Returns:
    'A', 'B' or 'U'

### isLevelA

    public boolean isLevelA()

  Returns `true` if this enum corresponds to conformance level A.

### getValueOf

    public static PDFAMode getValueOf(java.lang.String s)

  Returns the mode enum object given a String.

  Parameters:
    `s` - the string
  Returns:
    the PDFAMode enum object (DISABLED will be returned if no match is found)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PDFAMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.